# norootforbuild

%if 0%{?!py_ver:1}
%define py_ver %(%__python -c "import sys; v=sys.version_info[:2]; print '%%d.%%d'%%v" 2>/dev/null || echo PYTHON-NOT-FOUND)
%endif
%if 0%{?!py_sitedir:1}
%define py_sitedir %(%__python -c 'from distutils import sysconfig; print sysconfig.get_python_lib(1)')
%endif

Name:				webpin
Version:			1.2.0
Release:			1.1
Summary:			Command-Line Client for the openSUSE Package Search Web Service
Source:			http://linux01.gwdg.de/~pbleser/files/webpin/source/webpin-%{version}.tar.bz2
URL:				http://dev-loki.blogspot.com/search/label/webpin
Group:			System/Packages
License:			GNU General Public License version 2 (GPL v2)
BuildRoot:		%{_tmppath}/build-%{name}-%{version}
Requires:		python python-xml
Requires:		rpm-python
BuildRequires:	python python-devel
PreReq:			python >= %{py_ver}, python < %{py_ver}.999

%description
Command-line client for the openSUSE Package Search web service
commonly known as "webpin": http://packages.opensuse-community.org/

The Package Search service is written and maintained by Benjamin Weber.



Authors:
--------
    Pascal Bleser <pascal.bleser@opensuse.org>

%prep
%setup -q

%build
%__python ./setup.py build

%install
%__python ./setup.py install --prefix="%{_prefix}" --root="%{buildroot}"

echo -n > egg-info.lst
[ -e "%{buildroot}%{py_sitedir}/webpin-%{version}-py%{py_ver}.egg-info" ] \
&& echo "%{py_sitedir}/webpin-%{version}-py%{py_ver}.egg-info" > egg-info.lst

%clean
%__rm -rf "%{buildroot}"

%files -f egg-info.lst
%defattr(-,root,root)
%doc COPYING
%config(noreplace) %{_sysconfdir}/webpinrc
%{_bindir}/webpin
%{py_sitedir}/webpin
%doc %{_mandir}/man5/webpinrc.5*
%doc %{_mandir}/man8/webpin.8*

%changelog
* Tue Jun 16 2009 Pascal Bleser <pascal.bleser@opensuse.org> 1.2.0
- update to 1.2.0:
  * show .repo files in openSUSE Build Service URLs
  * use the new Software Portal URL
  * dropped SUSE 10.1 and 10.2 from configuration

* Sun Feb 22 2009 Pascal Bleser <guru@unixtech.be> 1.1.0
- update to 1.1.0:
  * use the Software Portal (beta)

* Sat Dec 20 2008 Pascal Bleser <guru@unixtech.be> 1.0.1
- update to 1.0.1:
  * add support for openSUSE 11.1

* Mon Jun 23 2008 Pascal Bleser <guru@unixtech.be> 1.0.0
- update to 1.0.0:
  * support for openSUSE 11.0

* Sun Jan 13 2008 Pascal Bleser <guru@unixtech.be> 0.9.0
- update to 0.9.0:
  * new URL, shiny new server
  * added support for 3xx HTTP redirects (with a maximum of 3 redirects before bailing out)
  * added --stacktrace option to dump the stack trace on exceptions, useful for submitting debug info

* Fri Nov  2 2007 Pascal Bleser <guru@unixtech.be> 0.8.5
- update to 0.8.5

* Mon Oct  8 2007 Pascal Bleser <guru@unixtech.be> 0.8.4
- update to 0.8.4

* Sun Oct  7 2007 Pascal Bleser <guru@unixtech.be> 0.8.3
- update to 0.8.3

* Thu Aug  9 2007 Pascal Bleser <guru@unixtech.be> 0.8.1
- update to 0.8.1

* Tue Aug  7 2007 Pascal Bleser <guru@unixtech.be> 0.8-0
- update to 0.8

* Tue Aug  7 2007 Pascal Bleser <guru@unixtech.be> 0.7-0
- moved to openSUSE:Tools in the openSUSE Build Service

* Mon Aug  6 2007 Pascal Bleser <guru@unixtech.be> 0.7-1
- new upstream version

* Mon Jul 30 2007 Pascal Bleser <guru@unixtech.be> 0.6-1
- new version
- added manpage and configuration files

* Mon Jul 30 2007 Pascal Bleser <guru@unixtech.be> 0.5-1
- require rpm-python
- new version

* Sun Jul 29 2007 Pascal Bleser <guru@unixtech.be> 0.4-1
- added copy of GPL 2 as COPYING
- added man page
- new version

* Sun Jul 29 2007 Pascal Bleser <guru@unixtech.be> 0.3-1
- new version

* Sat Jul 28 2007 Pascal Bleser <guru@unixtech.be> 0.2-1
- fixes a bug when querying Factory

* Sat Jul 28 2007 Pascal Bleser <guru@unixtech.be> 0.1-1
- new package

# Local Variables:
# mode: rpm-spec
# tab-width: 3
# End:
